ChainedTransactionManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.transaction
[Java] Class ChainedTransactionManager

    java.lang.Object
      org.codehaus.groovy.grails.transaction.ChainedTransactionManager

All Implemented Interfaces:
  org.springframework.transaction.PlatformTransactionManager

    public class ChainedTransactionManager
    extends java.lang.Object

org.springframework.transaction.PlatformTransactionManager implementation that orchestrates transaction creation, commits and rollbacks to a list of delegates. Using this implementation assumes that errors causing a transaction rollback will usually happen before the transaction completion or during the commit of the most inner org.springframework.transaction.PlatformTransactionManager.

The configured instances will start transactions in the order given and commit/rollback in reverse order, which means the org.springframework.transaction.PlatformTransactionManager most likely to break the transaction should be the last in the list configured. A org.springframework.transaction.PlatformTransactionManager throwing an exception during commit will automatically cause the remaining transaction managers to roll back instead of committing. original source: https://github.com/spring-projects/spring-data-commons/blob/master/src/main/java/org/springframework/data/transaction/ChainedTransactionManager.java

Authors:
  Michael Hunger
  Oliver Gierke

Since:
  2.3.6

Constructor Summary
`ChainedTransactionManager(org.springframework.transaction.PlatformTransactionManager primaryTransactionManager)` Creates a new ChainedTransactionManager delegating to the given org.springframework.transaction.PlatformTransactionManagers.

Method Summary
`void` | `commit(org.springframework.transaction.TransactionStatus status)`
`MultiTransactionStatus` | `getTransaction(org.springframework.transaction.TransactionDefinition definition)`
`java.util.List` | `getTransactionManagers()`
`void` | `rollback(org.springframework.transaction.TransactionStatus status)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ChainedTransactionManager

    public ChainedTransactionManager(org.springframework.transaction.PlatformTransactionManager primaryTransactionManager)

  Creates a new ChainedTransactionManager delegating to the given org.springframework.transaction.PlatformTransactionManagers.
  Parameters:
    `transactionManagers` - must not be null or empty.

Method Detail

### commit

    public void commit(org.springframework.transaction.TransactionStatus status)

### getTransaction

    public MultiTransactionStatus getTransaction(org.springframework.transaction.TransactionDefinition definition)

### getTransactionManagers

    public java.util.List getTransactionManagers()

### rollback

    public void rollback(org.springframework.transaction.TransactionStatus status)

Groovy Documentation